## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface TemplateParameterType

All Superinterfaces:
  org.eclipse.emf.ecore.EClassifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TemplateParameterTypeImpl

    public interface TemplateParameterType

extends org.eclipse.emf.ecore.EClassifier

A representation of the model object 'Template Parameter Type'.

The following features are supported:

- `Specification`

See Also:
  `ImperativeOCLPackage.getTemplateParameterType()`

Method Summary
`java.lang.String` `getSpecification()` Returns the value of the 'Specification' attribute
`void` `setSpecification(java.lang.String value)` Sets the value of the '`Specification`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSpecification

    java.lang.String getSpecification()

  Returns the value of the 'Specification' attribute.

  If the meaning of the 'Specification' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification' attribute.
  See Also:
    `setSpecification(String)`, `ImperativeOCLPackage.getTemplateParameterType_Specification()`

### setSpecification

    void setSpecification(java.lang.String value)

  Sets the value of the '`Specification`' attribute.

  Parameters:
    `value` - the new value of the 'Specification' attribute.
  See Also:
    `getSpecification()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.